$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.42-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.42-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'E0CB2051F8AE2D3593E9910E240FF303B14E6A0CFCDD233AB300664C1C8C0157'
  checksumType = 'sha256'
  checksum64 = 'E0CB2051F8AE2D3593E9910E240FF303B14E6A0CFCDD233AB300664C1C8C0157'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.17.42-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
